Webdesign Joomla CMS und Hosting Service

Komische PHP Meldung im Joomla Backend

php 5.6 warning

Seit Joomla 3.8.12 erscheint in einigen Backends eine Warnung, das die PHP Version 7.0.x nicht mehr unterstützt wird (3.9.2018).
Das ist nicht ganz korrekt, der Support wird erst im Dezember 2018 eingestellt.

php version support

Aus inoffiziellen Quellen habe ich jedoch erfahren dass der Security Support höchstwahrscheinlich verlängert wird. Jedoch empfiehlt sich auf die nächst höhere oder PHP Version 7.2 umzustellen.
Joomla 3.8.x ist bereits PHP 7.2 kompatibel!

 

Wie ändere ich die PHP Version?

Die PHP Version wird im Hosting definiert. Am einfachsten ist es wenn Du den Hoster anfrägst, diese stellen Dir das in der Regel gerne um. 
Allerdings solltest Du danach testen ob auch wirklich alles funktioniert. Es ist durchaus möglich dass Drittkomponenten Deiner Joomla Seite noch nicht Fit für höhere PHP Versionen. Da müsste man dann diese aktualisieren oder den Entwickler anfragen.

Die PHP Version kann bei den meisten Hoster auch selber umgestellt werden. Das sind nur ein paar klicks und man kann auch sofort wieder zurückstellen falls etwas nicht mehr läuft.

 

cPanel

Bei Cpanel findest Du dies unter "Software" -> "PHP-Version wählen". Oder gibst in der Suche oben einfach "PHP" ein.

php version1

cpanel php versions

Da kann man dann einfach im Dropdown Menü die gewünschte PHP-Version anwählen und übernehmen.

php version selector

Hinweis:

Falls keine kästchen der Funktionen ausgewählt (was zwingend nötig ist), unten auf den Button "Use Defaults" klicken. Ansonsten wird die seite nicht laufen können. Falls das nichts bringt, den Hoster Kontaktieren.

php version default

 

Plesk

Wählen Sie im Plesk "Webseites & Domains".

plesk php2

Klicken Sie dort "PHP-Einstellungen"

plesk php3

Stellen Sie mittels dem Dropdown Menü die gewünschte PHP Version ein.

plesk php1

 

Hoststar.ch

Bei Hoststar findest Du die PHP Einstellungen unter Hosting - Einstellungen

hoststar php1

Unter Domain sieht man die PHP Version, allerdings nur die Hauptversion PHP 7.?? Die wirkliche Version sieht man indem man auf "Bearbeiten" klickt.

hoststar php3

Wähle dort die Version 7.2 oder alternativ die höher als 7.0. 

Offenbar hat Hoststar auf diesem Server die Version 7.2 noch nicht installiert oder freigegeben.

hoststar php2

 

Hostpoint.ch

Hostpoint stellt automatisch um auf die höheren PHP Versionen. Zwingt also sozusagen die Kunden umzusteigen. 
Infos dazu findest Du hier: https://support.hostpoint.ch/de/produkte/news/informationen-zur-php-umstellung/umstellungen-php-versionen 

 

 

 

 

adiheutschi.ch - Joomla Webdesign 
Wolfisbergstrasse 1
CH-4704 Niederbipp
Diese E-Mail-Adresse ist vor Spambots geschützt! Zur Anzeige muss JavaScript eingeschaltet sein!